Summary: The BSD 4.4 version of make.
Name: pmake
Version: 1.45
Release: 1
Serial: 1
License: BSD
Group: Development/Tools
Source0: http://ftp.debian.org/debian/dists/potato/main/source/devel/%{name}_%{version}-3.2.tar.gz
Obsoletes: pmake-customs
BuildRoot: %{_tmppath}/%{name}-root

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process.  Details about
how the program should be built are included in the program's
Makefile.  Pmake is a particular version (BSD 4.4) of make.  Pmake
supports some additional syntax which is not in the standard make
program.  Some Berkeley programs have Makefiles written for pmake.

Pmake should be installed on your system so that you will be able to
build programs which require using pmake instead of make.

%prep
%setup -q


%build
make -f Makefile.boot CFLAGS="${RPM_OPT_FLAGS} -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
    -I. -DMACHINE=\\\"redhat\\\" -DMACHINE_ARCH=\\\"`arch`\\\"" CC=gcc
touch build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}
install bmake %{buildroot}/%{_bindir}/pmake
install -m 755 mkdep %{buildroot}/%{_bindir}
install make.1 %{buildroot}/%{_mandir}/man1/pmake.1
install mkdep.1 %{buildroot}/%{_mandir}/man1

mkdir -p %{buildroot}/%{_datadir}/mk
for file in mk/*; do
    install -m 644 $file %{buildroot}/%{_datadir}/mk
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc PSD.doc/tutorial.ms
%{_bindir}/*
%{_datadir}/mk
%{_mandir}/man1/*

%changelog
* Mon Jan 08 2001 Preston Brown <pbrown@redhat.com>
- report newer pmake from Debian who got it from 4.4BSD

